Bug 1010383 - (threeten, time-api) Review Request: time-api - javax.time JSR310 API (threeten)
Review Request: time-api - javax.time JSR310 API (threeten)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: datanucleus-core
  Show dependency treegraph
 
Reported: 2013-09-20 12:23 EDT by Pete MacKinnon
Modified: 2013-12-13 22:10 EST (History)
2 users (show)

See Also:
Fixed In Version: time-api-0.6.4-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:05:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review notes (7.56 KB, text/plain)
2013-09-20 16:27 EDT, gil cattaneo
no flags Details

  None (edit)
Description Pete MacKinnon 2013-09-20 12:23:59 EDT
This JSR will provide a new and improved date and
time API for Java.

SPEC URL: http://pmackinn.fedorapeople.org/time-api/time-api.spec
SRPM URL: http://pmackinn.fedorapeople.org/time-api/time-api-0.6.4-1.fc19.src.rpm
Comment 1 gil cattaneo 2013-09-20 16:27:15 EDT
Created attachment 800692 [details]
review notes

i would like to take this review

seem all ok, but these apis are already present in java8
maybe you should open a new FPC ticket as descibed here
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions
Comment 2 Pete MacKinnon 2013-10-31 10:24:14 EDT
FPC exception requested:

https://fedorahosted.org/fpc/ticket/357
Comment 3 Pete MacKinnon 2013-11-12 08:40:36 EST
Virtual Provides requested per FPC discussion:

https://fedorahosted.org/fpc/ticket/365
Comment 4 Pete MacKinnon 2013-11-18 08:52:41 EST
Updated with fpc-requested virtual provides:

SPEC URL: http://pmackinn.fedorapeople.org/time-api/time-api.spec
SRPM URL: http://pmackinn.fedorapeople.org/time-api/time-api-0.6.4-2.fc19.src.rpm
Comment 5 gil cattaneo 2013-11-19 06:04:46 EST
see https://fedoraproject.org/wiki/Packaging:Java#Packages_providing_APIs
please, change

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{oname}-all-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

with
mkdir -p %{buildroot}%{_javadir}/javax.time
install -m 644 build/%{oname}-all-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf ../{name}.jar %{buildroot}%{_javadir}/javax.time/
Comment 6 gil cattaneo 2013-11-19 06:19:32 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v2)", "Unknown or generated". 20 files have
     unknown license. Detailed output of licensecheck in /home/gil/1010383
     -time-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in time-api-
     javadoc
[x]: Package functions as described.
[?]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: time-api-0.6.4-2.fc21.noarch.rpm
          time-api-javadoc-0.6.4-2.fc21.noarch.rpm
          time-api-0.6.4-2.fc21.src.rpm
time-api.src:27: W: unversioned-explicit-provides bundled(openjdk8-javax-time)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint time-api time-api-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
time-api (rpmlib, GLIBC filtered):
    java
    jpackage-utils

time-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
time-api:
    bundled(openjdk8-javax-time)
    mvn(javax.time:time-api)
    time-api

time-api-javadoc:
    time-api-javadoc



Source checksums
----------------
https://github.com/ThreeTen/threeten/archive/v0.6.4.tar.gz :
  CHECKSUM(SHA256) this package     : 3053fe7f111a09fa74e603b9d401371a6e6ec76698c67e6d13e9c1870bcd537a
  CHECKSUM(SHA256) upstream package : 3053fe7f111a09fa74e603b9d401371a6e6ec76698c67e6d13e9c1870bcd537a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1010383 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


maybe you must change 
Requires:      java
with
Requires:      java-headless
if the package don't requires X server support

if these FPC requests were closed positively
https://fedorahosted.org/fpc/ticket/357
https://fedorahosted.org/fpc/ticket/365
and you fix the above comment, then you can ask for a "New Package SCM Request"
Comment 7 Pete MacKinnon 2013-11-19 09:53:57 EST
Updated from review feedback:

SPEC URL: http://pmackinn.fedorapeople.org/time-api/time-api.spec
SRPM URL: http://pmackinn.fedorapeople.org/time-api/time-api-0.6.4-3.fc19.src.rpm
Comment 8 Pete MacKinnon 2013-11-19 10:00:42 EST
New Package SCM Request
=======================
Package Name: time-api
Short Description: JSR310 date and time API for Java
Owners: pmackinn
Branches: f19 f20
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2013-11-19 10:06:55 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-20 11:42:05 EST
time-api-0.6.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/time-api-0.6.4-3.fc20
Comment 11 Fedora Update System 2013-11-20 11:42:19 EST
time-api-0.6.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/time-api-0.6.4-3.fc19
Comment 12 Fedora Update System 2013-11-23 14:37:47 EST
time-api-0.6.4-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-12-13 22:05:43 EST
time-api-0.6.4-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.